DataConnectorControllerUpdateDataConnector Method

PUT /DataConnector/{id} Updates a data connector.

Namespace:  Dundas.BI.WebApi.Controllers
Assembly:  Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (10.0.0.1002)
Syntax
[HttpPutAttribute]
[ActionNameAttribute("Index")]
public IActionResult UpdateDataConnector(
	Guid id,
	[FromBodyAttribute] DataConnectorData dataConnectorOptions,
	Guid? sessionId = null
)

Parameters

id
Type: SystemGuid
The ID of the data connector to update.
dataConnectorOptions
Type: Dundas.BI.WebApi.ModelsDataConnectorData
The data that needs to be modified.
sessionId (Optional)
Type: SystemNullableGuid
Current session ID.

Return Value

Type: IActionResult
A DataConnectorData object containing the data connector data, or a status code indicating the problem.
See Also